Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cisco.ipphone.sdk.CallerInfo
Class CallerInfoServer

    java.lang.Object
      com.cisco.ipphone.sdk.CallerInfo.CallerInfoServer

All Implemented Interfaces:
  javax.telephony.CallObserver, javax.telephony.ProviderObserver

    public class CallerInfoServer

extends java.lang.Object
implements javax.telephony.CallObserver, javax.telephony.ProviderObserver

Method Summary
`void` | `callChangedEvent(javax.telephony.events.CallEv[] ev)`
`java.lang.String[]` | `getActiveCallPartyNumbers(java.lang.String phoneName)`
`static CallerInfoServer` | `getCallerInfoServer()`
`static CallerInfoServer` | `getCallerInfoServer(java.lang.String ctiServer, java.lang.String appId, java.lang.String appPassword)`
`static CallerInfoServer` | `getCallerInfoServer(java.lang.String ctiServer, java.lang.String appId, java.lang.String appPassword, java.lang.String invokeUrl)`
`static void` | `main(java.lang.String[] args)`
`void` | `providerChangedEvent(javax.telephony.events.ProvEv[] eventList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

### getCallerInfoServer

    public static CallerInfoServer getCallerInfoServer(java.lang.String ctiServer,
                                                       java.lang.String appId,
                                                       java.lang.String appPassword,
                                                       java.lang.String invokeUrl)

### getCallerInfoServer

    public static CallerInfoServer getCallerInfoServer(java.lang.String ctiServer,
                                                       java.lang.String appId,
                                                       java.lang.String appPassword)

### getCallerInfoServer

    public static CallerInfoServer getCallerInfoServer()

### providerChangedEvent

    public void providerChangedEvent(javax.telephony.events.ProvEv[] eventList)

  Specified by:
    `providerChangedEvent` in interface `javax.telephony.ProviderObserver`

### callChangedEvent

    public void callChangedEvent(javax.telephony.events.CallEv[] ev)

  Specified by:
    `callChangedEvent` in interface `javax.telephony.CallObserver`

### getActiveCallPartyNumbers

    public java.lang.String[] getActiveCallPartyNumbers(java.lang.String phoneName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD